import java.awt.*;
import java.applet.*;
import java.io.*;
import quadbase.util.*;
import quadbase.ChartAPI.*;

public class ColumnChart extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

try {

ColumnChart doChart = new ColumnChart();
Frame frame = new Frame();
frame.setLayout(new BorderLayout());
frame.add("Center", doChart.doDataFromArguments(null));
frame.setSize(500, 500);
frame.setVisible(true);

} catch (Exception ex) {

ex.printStackTrace();

}

}

public void init() {

setLayout(new BorderLayout());
add("Center", doDataFromArguments(this));
}

 
Component doDataFromArguments(Applet applet)  {

// Do not connect to EspressManager
QbChart.setEspressManagerUsed(false);

ColInfo colInfo = new ColInfo();
colInfo.category = 1;
colInfo.series = 0;
colInfo.value = 3;
colInfo.subvalue = 2;

String dataType[] = {"integer", "varchar", "decimal", "decimal"};
String fieldName[] = {"Order #", "Product", "Units Ordered", "Units Shipped"};
String records[][] = {{"12", "Chair","15", "12"}, {"12", "Table","34", "26"},
		      {"14" , "Chair","8", "8"}, {"14" , "Table","23", "14"}};

DbData data = new DbData(dataType, fieldName, records);
QbChart chart = new QbChart

(applet,                           // Applet
QbChart.VIEW2D,                    // Two-Dimensional
QbChart.COL,                       // Column Chart
data,                              // Data
colInfo,                           // Column information
null);                             // No specified template

return chart;

}

}